:root {
    --bg-color: #0d0f12;
    --text-main-color: #e2e8f0;
	--text-second-color: #cbd5e0;
	--text-white-color: #fff;
	--primary-color: #ff0000;
	--text-size: 1.4rem;
	--text-size-two: 1.8rem;
	--text-size-min: 1.2rem;
	--card-bg: rgba(26, 32, 44, 0.7);
}

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    -webkit-tap-highlight-color: transparent;
}

#all-games {
    scroll-margin-top: 100px;
}

h2 {
	font-size: 3.2rem;
}

h3 {
	font-size: 2.2rem;
}

p,
li {
	font-size: var(--text-size);
}

li {
	margin-bottom: 1rem;
    margin-left: 2rem;
}

button {
	cursor: pointer;
}

body {
	display: flex;
	flex-direction: column;
	justify-content: space-between;
	gap: 3.5rem;
	min-height: 100vh;
    background-color: var(--bg-color);
    color: var(--text-main-color);
    font-family: "Inter", sans-serif;
    font-style: normal;
}

.navbar {
	display: flex;
    justify-content: space-between;
	align-items: center;
	padding: 20px 5%;
	position: fixed;
    top: 0;
    left: 0;
	background: rgba(13, 15, 18, 0.8);
    backdrop-filter: blur(10px);
	width: 100%;
	z-index: 1001;
}

.mobile-menu {
	display: none;
}

.nav-logo {
	max-width: 200px;
}

.nav-logo img {
	width: 100%;
}

.nav-right {
    display: flex;
    align-items: center;
    gap: 1.5rem;
}

.nav-right a {
    font-size: var(--text-size-min);
	color: var(--text-second-color);
	text-decoration: none;
}

.nav-right a:hover {
	color: var(--text-main-color);
}

.cart-button,
.cart-button-mob {
    position: relative;
	width: 30px;
	height: 30px;
    border: none;
    background: none;
    color: var(--primary-color);
}

.home-screen {
	position: relative;
	min-height: 100vh;
	background-image: linear-gradient(rgba(13, 15, 18, 0.5), rgba(13, 15, 18, 0.9)), url(back.webp);
    display: flex;
    align-items: center;
    justify-content: center;
    background-size: cover;
    background-position: center;
    background-attachment: scroll;
}

.home-overlay {
	position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: linear-gradient(180deg, rgba(13, 15, 18, 0.6) 0%, rgba(13, 15, 18, 0.95) 100%);
	z-index: 1;
}

.home-content {
    display: flex;
	flex-direction: column;
    align-items: center;
	gap: 2rem;
    max-width: 65%;
    z-index: 2;
	text-align: center;
}

.home-content h2 {
	font-size: 4rem;
	line-height: 1.05;
    color: var(--text-white-color);
	text-align: center;
}

.home-content p {
	font-size: var(--text-size);
	color: var(--text-main-color);
}

.home-content a {
	border-radius: 0.5rem;
    font-weight: 600;
    padding: 0.8rem 1.5rem;
    background: var(--primary-color);
    color: var(--text-white-color);
    text-decoration: none;
    font-size: var(--text-size);
	text-align: center;
}

.all-games,
.why-us,
.how-it-works,
.faq,
.final-cta {
	display: flex;
    flex-direction: column;
    gap: 2rem;
	margin: 0 3rem;
}

.all-games {
	margin: 0 3rem;
	color: var(--text-white-color);
	display: flex;
    flex-direction: column;
    gap: 2rem;
}

.cards-product {
    gap: 2rem;
    display: flex;
    overflow-x: auto;
    scroll-snap-type: x mandatory;
}

.card-product {
    flex: 0 0 380px;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    width: 25%;
    background: var(--card-bg);
    border-radius: 1.2rem;
	overflow: hidden;
	gap: 1.2rem;
}

.card-product a,
.card-product-info,
.card-product-buy,
.card-product-development {
	display: flex;
    flex-direction: column;
	gap: 1.2rem;
    text-decoration: none;
	color: var(--text-white-color);
}

.card-product-info,
.card-product-buy {
	padding: 0 1.5rem;
}

.card-product-info p {
	color: var(--text-second-color);
}

.card-product-photo img {
	object-fit: cover;
    height: 100%;
    width: 100%;
}

.card-product-buy button {
	margin-bottom: 2rem;
	font-size: var(--text-size);
    font-weight: 550;
    background: var(--primary-color);
    color: var(--text-white-color);
    border: none;
    border-radius: 0.5rem;
    padding: 10px 15px;
}

.card-product-price {
	display: flex;
    flex-direction: row;
    align-items: center;
	gap: 2rem;
}

.card-product-price p:first-child {
    font-size:  var(--text-size-two);
    font-weight: 800;
}

.card-product-price p:nth-child(2) {
    font-size: var(--text-size-min);
    font-weight: 700;
    text-decoration-line: line-through;
    text-decoration-style: solid;
    text-decoration-color: var(--primary-color);
    text-decoration-thickness: 1.5px;
}

.card-product-photo {
	position: relative;
	aspect-ratio: 1 / 1;
}

.card-product-sale {
    display: flex;
	left: 15px;
    top: 15px;
    position: absolute;
}

.card-product-sale p {
    padding: 0.3rem 0.8rem;
    background: var(--primary-color);
    font-weight: 600;
    color: var(--text-white-color);
    border-radius: 1rem;
    font-size: 1.2rem;
}

.about-us {
	border-radius: 1.5rem;
    background: var(--card-bg);
    padding: 2rem;
}

.why-us-cards {
	display: grid;
    grid-template-columns: repeat(3, 1fr);
    grid-template-rows: repeat(2, 1fr);
    gap: 1rem;
}

.why-us-cards div:last-child {
    grid-column: span 3 / span 3;
    grid-row-start: 2;
}

.why-us-card {
	display: flex;
    gap: 1rem;
    border-radius: 1rem;
    background: var(--card-bg);
    padding: 1.5rem;
    flex-direction: column;
}

.why-us-card p:first-child,
.how-it-works-card p:first-child {
	font-weight: 700;
    font-size: var(--text-size-two);
	color: var(--text-white-color);
}

.how-it-works-cards {
    display: flex;
    justify-content: space-between;
}

.how-it-works-card {
	position: relative;
    width: 31%;
    flex: none;
    display: flex;
    flex-direction: column;
    gap: 1rem;
    padding: 1.5rem;
    border-radius: 1rem;
	background: linear-gradient(149deg, #161a24 0%, #210e17 96%);
	min-height: 400px;
}

.how-it-works-card-svg {
	bottom: 20px;
    right: 20px;
    position: absolute;
	opacity: 0.75;
}

.accordion {
	display: flex;
    flex-direction: column;
	gap: 0.5rem;
}

.accordion-item {
	cursor: pointer;
    background: rgb(180 184 204 / 10%);
    padding: 1.5rem;
}

.accordion-item summary {
	display: flex;
    justify-content: space-between;
	gap: 0.5rem;
}

.accordion-item p:first-child {
	font-weight: 200;
	color: var(--text-white-color);
}

.accordion-item summary svg {
	flex: none;
	transition-duration: 0.3s;
    transition-timing-function: ease-in-out;
}

.accordion-item p:last-child {
	font-weight: 200;
    margin-top: 2rem;
    display: none;
}

.accordion-item.active p:last-child {
    display: block;
}

.accordion-item.active summary svg {
    transform: rotate(-45deg);
    transition-duration: 0.3s;
    transition-timing-function: ease-in-out;
}

.final-cta div {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 1rem;
	padding: 4rem 2rem;
	border-radius: 1rem;
    background: linear-gradient(149deg, #161a24 0%, #210e17 96%);
    position: relative;
	overflow: hidden;
}

.final-cta div svg {
    right: 0;
    top: -30px;
    position: absolute;
	opacity: 0.7;
	height: 520px;
    width: 520px;
    z-index: 1;
}

.final-cta div a {
    margin-bottom: 2rem;
    font-size: var(--text-size);
    background: rgb(180 184 204 / 10%);
    color: var(--text-white-color);
    border: none;
    border-radius: 0.5rem;
    padding: 0.8rem 1.8rem;
	text-decoration: none;
	text-align: center;
	z-index: 2;
}

.final-cta div p,
.final-cta div h3 {
    z-index: 2;
}

footer {
	border-top: 1px solid rgb(180 184 204 / 10%);
}

.footer_top {
	margin: 2rem 3rem
}

.footer-logo {
	display: flex;
    width: 200px;
	height: 64px;
	opacity: 0.2;
	filter: grayscale(100%);
}

.footer-logo img {
	width: 100%;
}

.footer_bottom {
    display: flex;
    justify-content: space-between;
    padding: 1rem 1.5rem;
    background: #000000;
	color: #fff;
    margin-top: 2.5rem;
}

.footer_bottom p {
	font-size: 0.8rem;
	opacity: 0.5;
}

.footer_top {
	display: flex;
    justify-content: space-between;
}

.subscribe {
	width: 45%;
    display: flex;
    flex-direction: column;
	gap: 1rem;
	padding: 2rem;
	background: rgb(180 184 204 / 10%);
	border-radius: 1rem;
}

.subscribe input[type="text"] {
    font-weight: 400;
    padding: 1rem;
    border: none;
    border-radius: 1rem;
    color: #505050;
    font-size: 1rem;
}

.subscribe p:first-child {
    font-weight: 700;
    font-size: var(--text-size-two);
    color: var(--text-white-color);
}

.subscribe button {
    font-size: var(--text-size);
    background: var(--primary-color);
    color: var(--text-white-color);
    border: none;
    border-radius: 0.5rem;
    padding: 10px 15px;
	text-align: center;
}

.about-us {
	display: flex;
    gap: 2rem;
	margin: 0 3rem;
	overflow: hidden;
    position: relative;
}

.about-us div {
	display: flex;
    flex-direction: column;
    gap: 2rem;
	max-width: 60%;
}

.about-us svg {
	opacity: 0.15;
    right: -80px;
    top: 10px;
    position: absolute;
	width: 620px;
	height: 620px;
}

@media (max-width: 500px) {
	h2 {
		font-size: 2.2rem;
	}
	
	h3 {
		font-size: 1.8rem;
	}
	
	.all-games,
	.why-us,
	.how-it-works,
	.faq,
	.final-cta,
	.about-us,
	.home-content {
		margin: 0 1rem;
	}
	
	.nav-logo {
		max-width: 125px;
	}
	
	.home-content {
		max-width: 100%;
	}
	
	.home-content h2 {
		font-size: 3rem;
	}
	
	.cards-product {
		flex-direction: column;
    }
	
	.card-product {
		flex: unset;
		width: 100%;
	}
	
	.about-us div {
		max-width: 100%;
	}
	
	.about-us svg {
		opacity: 0.05;
		top: 280px;
	}
	
	.why-us-cards {
		display: flex;
		flex-direction: column;
	}
	
	.how-it-works-cards {
		flex-direction: column;
		gap: 2rem;
	}
	
	.how-it-works-card {
		width: 100%;
	}
	
	.final-cta div {
		z-index: 2;
	}
	
	.final-cta div a {
		z-index: 2;
        background: rgb(255 255 255 / 80%);
		color: var(--bg-color);
	}
	
	.final-cta div svg {
		bottom: -240px;
		top: unset;
		opacity: 0.3;
		z-index: 1;
	}
	
	.footer_top {
		flex-direction: column;
		gap: 4rem;
		margin: 2rem 1rem;
	}
	
	.subscribe {
		width: 100%;
	}
}

@media screen and (min-width: 500px) and (max-width: 768px) {
	h2 {
		font-size: 2.8rem;
	}
	
	h3 {
		font-size: 2.2rem;
	}
	
	.all-games,
	.why-us,
	.how-it-works,
	.faq,
	.final-cta,
	.about-us,
	.home-content {
		margin: 0 1.6rem;
	}
	
	.home-content {
		max-width: 95%;
	}
	
	.home-content h2 {
		font-size: 3.2rem;
	}
	
	.about-us div {
		max-width: 100%;
	}
	
	.about-us svg {
		opacity: 0.05;
		top: 180px;
	}
	
	.why-us-cards {
		display: flex;
		flex-direction: column;
	}
	
	.how-it-works-cards {
		flex-direction: column;
		gap: 2rem;
	}
	
	.how-it-works-card {
		width: 100%;
		min-height: 300px;
	}
	
	.final-cta div {
		z-index: 2;
	}
	
	.final-cta div a {
		z-index: 2;
        background: rgb(255 255 255 / 40%);
		color: var(--bg-color);
	}
	
	.final-cta div svg {
		bottom: -240px;
		right: -60px;
		top: unset;
		opacity: 0.3;
		z-index: 1;
	}
	
	.footer_top {
		flex-direction: column;
		gap: 4rem;
		margin: 2rem 1rem;
	}
	
	.subscribe {
		width: 80%;
	}
}

@media screen and (min-width: 768px) and (max-width: 980px) {
	.home-content {
		max-width: 75%;
	}
	
	.about-us div {
		max-width: 75%;
	}
	
	.about-us svg {
		opacity: 0.1;
	}
	
	.why-us-cards {
		display: flex;
		flex-direction: column;
	}
	
	.how-it-works-cards {
		overflow-x: auto;
		scroll-snap-type: x mandatory;
		gap: 1rem;
	}
	
	.how-it-works-card {
		width: unset;
		flex: 0 0 280px;
	}
	
	.final-cta div a {
		z-index: 2;
        background: rgb(255 255 255 / 25%);
	}
	
	.final-cta div svg {
		bottom: -220px;
		right: -60px;
		top: unset;
		opacity: 0.5;
		z-index: 1;
	}
	
	.subscribe {
		width: 60%;
	}
}

@media (max-height: 570px) {
	.home-screen {
		min-height: 160vh;
	}
}

@media screen and (min-height: 570px) and (max-height: 670px) {
	.home-screen {
		min-height: 125vh;
	}
}

@media (min-height: 920px) {
	.home-screen {
		min-height: 80vh;
	}
}